### Signal

# Phosh OfonoDBusManager::modem-added

#### Declaration

    void
    modem_added (
      PhoshOfonoDBusManager* self,
      gchar* arg_unnamed_arg0,
      GVariant* arg_unnamed_arg1,
      gpointer user_data
    )

#### Description [src]

On the client-side, this signal is emitted whenever the D-Bus signal “ModemAdded” is received.

On the service-side, this signal can be used with e.g. `g_signal_emit_by_name()` to make the object emit the D-Bus signal.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`arg_unnamed_arg0`

  Type: `gchar*`

  Argument.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`arg_unnamed_arg1`

  Type: `GVariant`

  Argument.

  The data is owned by the caller of the function.